pydo.uptime.list_alerts()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.uptime.list_alerts(
check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
per_page=20,
page=1,
)Description
To list all of the alerts for an Uptime check, send a GET request to /v2/uptime/checks/{check_id}/alerts.
Parameters
check_idstring requiredA unique identifier for a check.
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.uptime.list_alerts(check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.uptime.list_alerts(check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/uptime/checks/{check_id}/alerts in the API reference for additional detail on responses, headers, parameters, and more.